package com.community.huiju.model;

import java.util.Date;

public class TpConfiguration {
    private Integer id;

    private String key;

    private String configurationName;

    private Integer configurationType;

    private String configurationValue;

    private Date createTiem;

    private Integer createUser;

    private Date updateTime;

    private Integer updateUser;

    private Integer communityId;

    private String dooruuid;

    private String deviceuuid;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key == null ? null : key.trim();
    }

    public String getConfigurationName() {
        return configurationName;
    }

    public void setConfigurationName(String configurationName) {
        this.configurationName = configurationName == null ? null : configurationName.trim();
    }

    public Integer getConfigurationType() {
        return configurationType;
    }

    public void setConfigurationType(Integer configurationType) {
        this.configurationType = configurationType;
    }

    public String getConfigurationValue() {
        return configurationValue;
    }

    public void setConfigurationValue(String configurationValue) {
        this.configurationValue = configurationValue == null ? null : configurationValue.trim();
    }

    public Date getCreateTiem() {
        return createTiem;
    }

    public void setCreateTiem(Date createTiem) {
        this.createTiem = createTiem;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public String getDooruuid() {
        return dooruuid;
    }

    public void setDooruuid(String dooruuid) {
        this.dooruuid = dooruuid == null ? null : dooruuid.trim();
    }

    public String getDeviceuuid() {
        return deviceuuid;
    }

    public void setDeviceuuid(String deviceuuid) {
        this.deviceuuid = deviceuuid == null ? null : deviceuuid.trim();
    }
}